Subject: Re: [PATCH 2/4] firmware: arm_scmi: Validate BASE_ERROR_EVENT payload size

From: Cristian Marussi <[email-masked]>
Date: Tue, 19 May 2026 10:07:36 +0100

On Sun, May 17, 2026 at 08:02:41PM +0100, Sudeep Holla wrote:
> BASE_ERROR_EVENT carries a variable number of message reports,
> with the count encoded in error_status. The notification parser used
> that count without checking whether the received payload contained all
> reported entries.
> 
> Reject truncated payloads before copying the report array.
> 
> Signed-off-by: Sudeep Holla <[email-masked]>

Not sure is the missing check was due to some sort of best effort
attempt to report whatever the platform was able to report or what...
...but it seems correct to check and discard corrupted replies.

LGTM.
Reviewed-by: Cristian Marussi <[email-masked]>

Thanks,
Cristian